# Class InitTradeRequest

#### Hierarchy

- unknown
  - InitTradeRequest

- Defined in src/protobuf/pb_pb.d.ts:1013
- Defined in src/protobuf/pb_pb.d.ts:1095

#####
Index

### Constructors

constructor

### Methods

clearArbitratorNodeAddress
clearMakerNodeAddress
clearTakerNodeAddress
clearTakerPubKeyRing
getAccountAgeWitnessSignatureOfOfferId
getAccountAgeWitnessSignatureOfOfferId_asB64
getAccountAgeWitnessSignatureOfOfferId_asU8
getArbitratorNodeAddress
getChallenge
getCurrentDate
getMakerAccountId
getMakerNodeAddress
getMakerPaymentAccountId
getOfferId
getPaymentMethodId
getPayoutAddress
getReserveTxHash
getReserveTxHex
getReserveTxKey
getTakerAccountId
getTakerNodeAddress
getTakerPaymentAccountId
getTakerPubKeyRing
getTradeAmount
getTradePrice
getTradeProtocolVersion
getUid
hasArbitratorNodeAddress
hasMakerNodeAddress
hasTakerNodeAddress
hasTakerPubKeyRing
serializeBinary
setAccountAgeWitnessSignatureOfOfferId
setArbitratorNodeAddress
setChallenge
setCurrentDate
setMakerAccountId
setMakerNodeAddress
setMakerPaymentAccountId
setOfferId
setPaymentMethodId
setPayoutAddress
setReserveTxHash
setReserveTxHex
setReserveTxKey
setTakerAccountId
setTakerNodeAddress
setTakerPaymentAccountId
setTakerPubKeyRing
setTradeAmount
setTradePrice
setTradeProtocolVersion
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new InitTradeRequest(): InitTradeRequest

- #### Returns InitTradeRequest

  Inherited from jspb.Message.constructor

## Methods

### clearArbitratorNodeAddress

- clearArbitratorNodeAddress(): InitTradeRequest

- #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1070

### clearMakerNodeAddress

- clearMakerNodeAddress(): InitTradeRequest

- #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1060

### clearTakerNodeAddress

- clearTakerNodeAddress(): InitTradeRequest

- #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1065

### clearTakerPubKeyRing

- clearTakerPubKeyRing(): InitTradeRequest

- #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1044

### getAccountAgeWitnessSignatureOfOfferId

- getAccountAgeWitnessSignatureOfOfferId(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1049

### getAccountAgeWitnessSignatureOfOfferId_asB64

- getAccountAgeWitnessSignatureOfOfferId_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1051

### getAccountAgeWitnessSignatureOfOfferId_asU8

- getAccountAgeWitnessSignatureOfOfferId_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1050

### getArbitratorNodeAddress

- getArbitratorNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1067

### getChallenge

- getChallenge(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1084

### getCurrentDate

- getCurrentDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1054

### getMakerAccountId

- getMakerAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1029

### getMakerNodeAddress

- getMakerNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1057

### getMakerPaymentAccountId

- getMakerPaymentAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1035

### getOfferId

- getOfferId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1017

### getPaymentMethodId

- getPaymentMethodId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1026

### getPayoutAddress

- getPayoutAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1081

### getReserveTxHash

- getReserveTxHash(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1072

### getReserveTxHex

- getReserveTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1075

### getReserveTxKey

- getReserveTxKey(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1078

### getTakerAccountId

- getTakerAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1032

### getTakerNodeAddress

- getTakerNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1062

### getTakerPaymentAccountId

- getTakerPaymentAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1038

### getTakerPubKeyRing

- getTakerPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:1041

### getTradeAmount

- getTradeAmount(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1020

### getTradePrice

- getTradePrice(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1023

### getTradeProtocolVersion

- getTradeProtocolVersion(): MULTISIG_2_3

- #### Returns MULTISIG_2_3

  - Defined in src/protobuf/pb_pb.d.ts:1014

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1046

### hasArbitratorNodeAddress

- hasArbitratorNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1069

### hasMakerNodeAddress

- hasMakerNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1059

### hasTakerNodeAddress

- hasTakerNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1064

### hasTakerPubKeyRing

- hasTakerPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1043

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1087

### setAccountAgeWitnessSignatureOfOfferId

- setAccountAgeWitnessSignatureOfOfferId(value: string | Uint8Array): InitTradeRequest

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1052

### setArbitratorNodeAddress

- setArbitratorNodeAddress(value?: NodeAddress): InitTradeRequest

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1068

### setChallenge

- setChallenge(value: string): InitTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1085

### setCurrentDate

- setCurrentDate(value: number): InitTradeRequest

- #### Parameters

  - ##### value: number

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1055

### setMakerAccountId

- setMakerAccountId(value: string): InitTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1030

### setMakerNodeAddress

- setMakerNodeAddress(value?: NodeAddress): InitTradeRequest

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1058

### setMakerPaymentAccountId

- setMakerPaymentAccountId(value: string): InitTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1036

### setOfferId

- setOfferId(value: string): InitTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1018

### setPaymentMethodId

- setPaymentMethodId(value: string): InitTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1027

### setPayoutAddress

- setPayoutAddress(value: string): InitTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1082

### setReserveTxHash

- setReserveTxHash(value: string): InitTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1073

### setReserveTxHex

- setReserveTxHex(value: string): InitTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1076

### setReserveTxKey

- setReserveTxKey(value: string): InitTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1079

### setTakerAccountId

- setTakerAccountId(value: string): InitTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1033

### setTakerNodeAddress

- setTakerNodeAddress(value?: NodeAddress): InitTradeRequest

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1063

### setTakerPaymentAccountId

- setTakerPaymentAccountId(value: string): InitTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1039

### setTakerPubKeyRing

- setTakerPubKeyRing(value?: PubKeyRing): InitTradeRequest

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1042

### setTradeAmount

- setTradeAmount(value: number): InitTradeRequest

- #### Parameters

  - ##### value: number

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1021

### setTradePrice

- setTradePrice(value: number): InitTradeRequest

- #### Parameters

  - ##### value: number

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1024

### setTradeProtocolVersion

- setTradeProtocolVersion(value: MULTISIG_2_3): InitTradeRequest

- #### Parameters

  - ##### value: MULTISIG_2_3

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1015

### setUid

- setUid(value: string): InitTradeRequest

- #### Parameters

  - ##### value: string

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1047

### toObject

- toObject(includeInstance?: boolean): InitTradeRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns InitTradeRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1088

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): InitTradeRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1091

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: InitTradeRequest, reader: BinaryReader): InitTradeRequest

- #### Parameters

  - ##### message: InitTradeRequest

  - ##### reader: BinaryReader

  #### Returns InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:1092

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: InitTradeRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: InitTradeRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1090

### `Static` toObject

- toObject(includeInstance: boolean, msg: InitTradeRequest): InitTradeRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: InitTradeRequest

  #### Returns InitTradeRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1089

Generated using TypeDoc